---
sidebar_position: 2
---

# Roadmap

- [x] Guest mode
- [x] Tree of replies
    - [x] Displayed in a breadth-first way
    - [x] Displayed in a depth-first way
    - [ ] Sorted by likes
- [x] Typed rooms for specific displays: statuses, forum, media
- [x] Chat view
    - [ ] Threads
    - [ ] Reply tree
- [x] Statuses view
    - [x] Threads
    - [x] Reply tree
- [x] Forum view
    - [x] Threads
    - [x] Reply tree
    - [x] Title
- [x] Media view
    - [x] Threads
    - [x] Reply tree
    - [ ] Albums
    - [ ] New messages with upload
- [ ] Generic features
    - [x] Login
        - [ ] OIDC login
    - [x] Register
        - [x] Username and password
        - [x] With email confirmation
        - [x] With captcha
    - [x] WYSIWYG editor
    - [x] Likes
    - [ ] Reactions
    - [ ] Mentions
    - [ ] Joins and leaves
    - [ ] Invitations
    - [ ] Knocks
    - [ ] E2EE
    - [ ] Editions
    - [ ] Deletions
    - [ ] Member list
    - [ ] Room settings
    - [ ] Profile settings
    - [ ] Notifications
    - [ ] Room list filters
    - [ ] Search
    - [ ] Sliding sync
    - [ ] Read receipts
- [x] PWA
- [ ] Shareable links
- [ ] Integration with kazarma
- [ ] Extensible profile rooms
- [ ] Wall rooms
- [ ] Feed rooms with filters (including user activity rooms)
- [ ] Event forwarding
- [ ] Moderation tools
- [ ] Keyboard navigation
